xoops forums

Forum Index


Board index » All Posts (organix)




organix

Just popping in
Posted on: 2008/10/16 23:32
organix
organix (Show more)
Just popping in
Posts: 8
Since: 2003/11/5
#1

Re: CBB4 RC for Xoops 2.3x Testing Reviews

Due upgrade process I got an error that he misses a table with the name bb_type_tmp.
After upgrade process (CBB 3.08 previously) my bb_posts, bb_posts_text, bb_topics tables were empty, all forum content was gone.

I tried it a second time with the same results.
After modul upgrade all forum postings were deleted and the tables are empty.
Xoops Version is 2.3.1.


organix

Just popping in
Posted on: 2007/5/29 9:13
organix
organix (Show more)
Just popping in
Posts: 8
Since: 2003/11/5
#2

Re: Resetting Post Count

I have the same problem. All post counts resetted to -1.
Running XOOPS 2.2.4 and CBB Version 3.07.

What are the odds, that some people here have currently the same problem.

Ok, for now I have found a script here on xoops.org to sync the users.




thanks
Markus


organix

Just popping in
Posted on: 2005/8/9 20:57
organix
organix (Show more)
Just popping in
Posts: 8
Since: 2003/11/5
#3

newbb download links on dev.xoops.org don't work

All the download links for newbb2 on dev.xoops.org seems to be broken:

The requested URL /dl/newbb/newbb 2.0/2.0.2 Final/XOOPS2_mod_newbb_2.02.zip was not found on this server.

regards
Organix


organix

Just popping in
Posted on: 2005/8/4 15:26
organix
organix (Show more)
Just popping in
Posts: 8
Since: 2003/11/5
#4

Re: Update 2.0.13 to 2.2 don't work !

Quote:

Herko Coomans wrote:
you're not doing anything wrong, that's the first thing to say. However, it should work, so we have to look at the cause of this.

First of all, you are using 2.0.13 non-english, and are upgrading to 2.2. The HTTP_REFERRER_BLOCKED error is triggered when a database query fails and the HTTP REFERER check also fails. So make sure that your localhost is added to the 'trusted sites' list of your software firewall (this being the most common cause for the HTTP REFERRER info being blocked).

With that fixed, we can proceed to what is causing the query to fail.

Herko


I have no firewall (XP firewall is deactivated) and my 2.0.13 was english as the 2.2 too. Remember, my testsite is on localhost (127.0.0.1) and most firewalls don't block anything on this adapter.

But, I think I've found the reason for the problem and it seems to me a bug or a bad feature in the XOOPS update procedure. My webservers on both computers weren't running on port 80, that was the problem and looks to me like a bug.
Now I've changed my webserver to port 80 and the update script works.

But more. After the update I changed my webserver back to port 85 and on every login the referer block error message with hints on firewalls etc. do occur. It's not a big problem, but it shows that the referer checking in xoops-2.2 have problems with webservers not running on port 80.

I never had such problems with 2.0.x versions of XOOPS and I'm not sure if this referer block checking in 2.2 was a good idea.

regards
Markus


organix

Just popping in
Posted on: 2005/8/4 14:31
organix
organix (Show more)
Just popping in
Posts: 8
Since: 2003/11/5
#5

Re: Update 2.0.13 to 2.2 don't work !

Quote:

Biteronboard wrote:
well the way you posted it sounds like you just ftp'd the whole folder up at one time... when you should idealy do it a folder at a time.... so fror example if you are doing pub_html/language/english/... then you should ftp up the files in this directory and work your way back dow to public_html. it takes alot longer.... but well you wont crash out :)


No FTP. As you could see in my description, I connect to localhost and for local file copy I don't need ftp. I don't think it is a problem of a file copy, because I had no problem s after copying all the 2.0.13 files, so why should I have a problem on copying the 2.2 files?

Ok, I've tried it again today on my business notebook with a fresh install of XAMPP from apachefriends.org. Again the same procedure with exact the same problems. Installing 2.0.13 went fine with no problems until I do the update to 2.2.

Hmm, what should I say. Two different computer, two different installations of apache, php any mysql, two different browsers (IE and Firefox) but the same problems with the update 2.0.13 -> 2.2.

What the hell I'm doing wrong?

regards
Markus


organix

Just popping in
Posted on: 2005/8/4 0:44
organix
organix (Show more)
Just popping in
Posts: 8
Since: 2003/11/5
#6

Update 2.0.13 to 2.2 don't work !

Hello,

first, this post will get a bit longer. Please take the time to read it all, especially if you're a XOOPS core developer.
I hope you understand it all. I'm a german user and not all the time perfect with my english.

It seems to me, that the upgrade procedure from 2.0.13 up to 2.2 don't work.
I'm sitting here for hours on my testmachine to find out the reason why the update to 2.2 don't work for my website.
Now I've stopped to look inside of my current production website and tried an upgrade with a fresh install of 2.0.13 and it ends in the same problems.
I've checked the forum here on xoops.org and found several people with similar problems but with no solution to me.

Oh, I forgot to explain what the problems are. Here it comes.
After the xoopsupdate.php scripe I've got "error.php?c=XOOPS_REFERER_BLOCKED" in my URL, the header of the page and nothing more.

Ok, please let me take you all to the following steps of my update procedure and maybe some of you can explain me what I'm doing wrong.

My testsystem based on a BigApache installation under Windows-XP Pro.

First step is installing a fresh installation of 2.0.13.
I copied all the files to X:\www\xoops.
I call a browser and open the url http://localhost:85/xoops
The installation wizards starts and I follow all the instructions as I have done about 100 times in my live.
A minute later I got a running 2.0.13 installation with no acitve modules. All seems ok and I removed the install directory and write protect the mainfile.php.

Now, without doing any more, it's time for update to 2.2.
From the 2.0.13->2.2 update package I copied all files under html into my installation on X:\www\xoops.
Next I call the xoopsupdate.php.
Ok, I see a screen with a missing picture in the upper left (Home Page) and a submit button.
At the end of the screen I see some messages with notice and warnings.

Maybe interesting are the warnings:

Warning [PHP]: in_array(): Wrong datatype for second argument in file X:\www\xoops\include\common.php line 235
Warning [PHP]: in_array(): Wrong datatype for second argument in file X:\www\xoops\class\theme.php line 448
Warning [PHP]: main(X:/www/xoops/language//notification.php): failed to open stream: No such file or directory in file X:\www\xoops\modules\system\xoops_version.php line 215
Warning [PHP]: main(): Failed opening 'X:/www/xoops/language//notification.php' for inclusion (include_path='.;\usr\local\PHP\includes;x:/www/mambo45') in file X:\www\xoops\modules\system\xoops_version.php line 215
Warning [PHP]: in_array(): Wrong datatype for second argument in file X:\www\xoops\footer.php line 50

Ok, I click on submit button to start the xoopsupdate.php procedure.
After only 1 second a new screen apear. My URL changed to "http://localhost:85/xoops/error.php?c=XOOPS_REFERER_BLOCKED"
I see the standard XOOPS header and a "User Actions" menu.
In this menu I choose "Administration".
No I got into the new administration screen of 2.2.
A warning appear that again the install directory exists.
The drop down menus work but Preferences seems to be empty.
I choose Modules/Administration for updating the System Admin Module.
After clicking the update button I see again the URL: "http://localhost:85/xoops/error.php?c=XOOPS_REFERER_BLOCKED" and again an empty screen with only the "User Actions" menu.

Now I choose logout. The logout message appear and the "User Actions" menu don't shown anymore. I see the standard XOOPS header, the current date on the upper left and a white emtpy screen. No menu, no blocks... nothing.
I call the user.php file to log in again, but every times it says "Incorrect login" and I'm 100% sure that I give the right username and the right password.

So I'll stop here. The update procedure 2.0.13 to 2.2 will not work and I have no clue why. It couldn't be a problem of any modules, themes or templates, because it fails on a really fresh install of full XOOPS 2.0.13.

I've repeated the same procecdure 3 times with no luck. I've tried the update als with a copy of my production site (www.neotrax.de), but with the exact same problems.
To prevent browser problems, I've done the update with IE6 and Firefox1.06 too.

Ok, now I'm ready for tips and solutions.

Thank you.

Markus



TopTop